<html>
<head>

 <title>Stutter</title>


<link rel="stylesheet" href="//cdn.rawgit.com/yahoo/pure-release/v0.6.0/pure-min.css">
<link href='https://fonts.googleapis.com/css?family=Poiret+One|Droid+Sans' rel='stylesheet' type='text/css'>

<style>

body {
 background-image: url("back.jpg");
}

#message {
 background-color: rgba(0,0,0,1);
 width: 90%;
 height: 500px;
 border-radius: 40px;
 margin: 0 auto;
 border: 15px solid rgba(180,180,180,0.2);
 display: none;
}

.msg {
  color: #E0A600;
  width: 80%;
  margin: 150px auto;
  font-size: 9em;
  text-align: center;
}

#global-container {
  width: 100%;
}

.progress-bar-container {
  background-color: rgba(0,0,0,0);
  height: 300px;
}

.skillbar-label {
  text-align: center;
  font-size: 2em;
  color: #808080;
}

.outer {
  width: 30px;
  height: 100%;
  border: 2px solid #ccc;
  overflow: hidden;
  position: relative;
  -moz-border-radius: 4px;
  -webkit-border-radius: 4px;
  border-radius: 4px;
  margin: 0 auto;
}

.inner {
  border: 2px solid #999;
  border-top-width: 0;
  background-color: #999;
  bottom: 0;
  height: 0%;
}

.inner, .inner div {
  width: 100%;
  overflow: hidden;
  left: -2px;
  position: absolute;
}

.score {
  color: red;
  font: bold 20px/22px COmic-Sans;
}

.board-container {
  background-color: rgba(0,0,0,.3);
  height: 300px;
  margin: 5px;
  text-align: center;
  font-size: 15em;
  font-weight: bold;
  font-family: 'Poiret One', cursive;
  color: white;
}

#hand-container {
  margin: 0 auto;
  width: 60%;
}

.hand-button {
  border-radius: 15px;
  border: 8px solid rgba(255,255,255,.8);
  text-align: center;
  margin: 0 4px;
  background-color: rgba(255,255,255,.2);
  color: rgba(0,0,0,.8);
  height: 90px;
  font-family: 'Droid Sans', sans-serif;
  font-size: 4.8em;
}

.hand-button:hover {
  border: 8px solid rgba(0,0,0,1);
  background-color: rgba(255,255,0,.2);
  color: rgba(255,255,255,.8);
  -webkit-transition-duration: .2s;
  transition-duration: .2s;
  cursor: pointer;
}

#instruction-container {
  width: 70%;
  margin: 0px auto;
  color: white;
  background-color: rgba(0, 0, 0, 0.4);
  padding: 20px;
}

#instruction {
  font-size: 1em;
}

@media (max-width: 980px) {

  .board-container {
    padding-top: 85px;
    height: 290px;
    font-size: 10em;
  }

  #hand-container {
    margin: 0 auto;
    width: 100%;
  }

}

@media (max-width: 700px) {

  .progress-bar-container {
    background-color: rgba(0,0,0,0);
    height: 120px;
  }

  .skillbar-label {
    text-align: center;
    font-size: .6em;
    color: #808080;
  }

  .outer {
    width: 15px;
    height: 100%;
    border: 2px solid #ccc;
    overflow: hidden;
    position: relative;
    -moz-border-radius: 4px;
    -webkit-border-radius: 4px;
    border-radius: 4px;
    margin: 0 auto;
  }

  .board-container {

  height: 110px;
  margin: 2px;
  padding-top: 35px;
  font-size: 4em;

}
   #hand-container {
    width: 95%;
  }
  .hand-button {
    border-radius: 4px;
    border: 2px solid rgba(255,255,255,.8);
    height: 55px;
    font-size: 2em;
    padding-top: 20px;
  }

    .hand-button:hover {
    border: 2px solid rgba(0,0,0,1);
  }


}


</style>
</head>

<body>
<br /><br />
<div style="position: relative">
  <div id="message" onClick="window.location.reload()"></div>

  <div id="global-container">

  <div id="main-container" class="pure-g">
    <div class="pure-u-1-4 progress-bar-container">
      <div class="skillbar-label">YOU</div>
      <div class="outer">
        <div id="skillbar-1" class="inner"><div></div></div>
      </div>
    </div>

    <div class="pure-u-1-4">
      <div id="board-1" class="board-container"></div>
    </div>
    <div class="pure-u-1-4">
      <div id="board-2" class="board-container"></div>
    </div>

    <div class="pure-u-1-4 progress-bar-container">
      <div class="skillbar-label">SOMEONE</div>
      <div class="outer">
        <div id="skillbar-2" class="inner"><div></div></div>
      </div>
    </div>
  </div>
  <br /><br />

  <div id="hand-container" class="pure-g"></div>

  </div>
</div>
<br /><br />
<div id="instruction-container">
  <div id="instruction">
    The game will start when 2 players connect separately.  You can play numbers sequentially.
    For instance if there is a 3 on the board you can play a 2 or a 4.  13 is the highest
    number.  You can play a 1 or a 12 on it to create a loop.  You win by playing 20 numbers
    before your opponent.  Play ends if your opponent disconnects.  Clicking on the message will
    reload the application.
  </div>
</div>

<script src="http://code.jquery.com/jquery-1.11.2.min.js"></script>
<script src="/socket.io/socket.io.js"></script>
<script>

 var socket = io.connect();

 function sendCard(card) {
   console.log(card);
   socket.emit('playcard', card);
 }

 jQuery(function($){

   var $message = $('#message');
   var $hand = $('#hand-container');
   var $score = $('#score-container');
   var $board1 = $('#board-1');
   var $board2 = $('#board-2');
   var $skillbar1 = $('#skillbar-1');
   var $skillbar2 = $('#skillbar-2');

   socket.on("displayHand", function(data) {
     displayHand(data.hand);
   });

   socket.on("boardUpdate", function(data) {
     displayBoard(data.board);
   });

   socket.on("displayMessage", function(data) {
     displayMsg(data.message);
   });

   socket.on("scoreUpdate", function(data) {
     $skillbar1.animate({ height: data.score*5+"%"}, 400);
     $skillbar2.animate({ height: data.opponentScore*5+"%"}, 400);
   })

   function displayHand(data) {
     $hand.html("");
     for(var i=0; i < data.length; i++){
      //  $hand.append("<div class='pure-u-1-5'>");
      var temp = "<div class='pure-u-1-5'><div  onclick='sendCard("+data[i]+")' class='hand-button' id='" + data[i] + "'>" + data[i] + "</div></div>";
       $hand.append(temp);
      //  $hand.append("</div>");
     }
   };

   function displayBoard(data) {
     $board1.html(data[0]);
     $board2.html(data[1]);
   };

   function displayMsg(data) {
     $('#global-container').hide();
     $message.show();

     $message.html("<div class='msg'>" + data + "</div>");
   };

   function displayScore(data) {
     $score.html("<span class='score'><b>" + data + "</b></span><br/>");
   };
 });

</script>
</body>
</html>
